## ocaml-eqaf 0.8

=== debian/changelog ===
ocaml-eqaf (0.8-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 15:18:47 +0100

ocaml-eqaf (0.8-2) unstable; urgency=medium

  * Fix debian/copyright

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 13:27:49 +0100

ocaml-eqaf (0.8-1) unstable; urgency=medium

  * Initial release (Closes: #1000391)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Nov 2021 17:03:45 +0100

=== debian/watch ===
version=4
https://github.com/mirage/eqaf/releases .*eqaf-v?([0-9.]+)\.tbz

## ocaml-eqaf 0.10

=== Makefile ===
.PHONY: bench
bench:
	dune exec check/check.exe
	dune exec check/bench.exe

## ocaml-eqaf 0.9

=== debian/changelog ===
ocaml-eqaf (0.9-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 09:57:42 +0100

=== debian/control ===
Source: ocaml-eqaf
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libcstruct-ocaml-dev,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-eqaf
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-eqaf.git
Homepage: https://github.com/mirage/eqaf

Package: libeqaf-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: constant-time equal function on string for OCaml (dev files)
 This package provides an equal function on string in constant-time to
 avoid timing-attack with crypto stuff.
 .
 This package contains development files.

Package: libeqaf-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: constant-time equal function on string for OCaml (runtime files)
 This package provides an equal function on string in constant-time to
 avoid timing-attack with crypto stuff.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p eqaf

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/*/LICENSE*

## ocaml-eqaf 0.10

=== debian/changelog ===
ocaml-eqaf (0.10-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:04:59 +0200

ocaml-eqaf (0.10-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:33:00 +0100

ocaml-eqaf (0.10-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 09:01:02 +0200

ocaml-eqaf (0.9-4) unstable; urgency=medium

  * Fix FTBFS on mipsel and mips64el

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 14:30:17 +0200

ocaml-eqaf (0.9-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:27:46 +0200

ocaml-eqaf (0.9-2) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * Bump standards-version to 4.6.2
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 08:56:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libcstruct-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ libalcotest-ocaml-dev <!nocheck>,
+ libcrowbar-ocaml-dev <!nocheck>,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-eqaf
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-eqaf.git

=== debian/watch ===
version=4
https://github.com/mirage/eqaf/tags .*/v?([0-9.]+)\.tar\.gz
